"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LatestOnlyStrategy = void 0;
class LatestOnlyStrategy {
    constructor() {
        this.message = null;
    }
    queue(message) {
        this.message = message;
    }
    dequeue() {
        if (!this.message) {
            return null;
        }
        const message = this.message;
        return message;
    }
    clear() {
        this.message = null;
    }
}
exports.LatestOnlyStrategy = LatestOnlyStrategy;
//# sourceMappingURL=LatestOnlyStrategy.js.map