"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const IInstruction_1 = require("./interface/IInstruction");
const IOperand_1 = require("./interface/IOperand");
class Defaults {
    constructor() {
        this.coresize = 8000;
        this.maximumCycles = 80000;
        this.initialInstruction = {
            address: 0,
            opcode: IInstruction_1.OpcodeType.DAT,
            modifier: IInstruction_1.ModifierType.F,
            aOperand: {
                mode: IOperand_1.ModeType.Direct,
                address: 0
            },
            bOperand: {
                mode: IOperand_1.ModeType.Direct,
                address: 0
            }
        };
        this.instructionLimit = 100;
        this.maxTasks = 8000;
        this.minSeparation = 100;
    }
}
exports.default = new Defaults();
//# sourceMappingURL=Defaults.js.map